Subject: Re: yaml gen NL families support in iproute2?

From: Stephen Hemminger <[email-masked]>
Date: Mon, 28 Oct 2024 17:43:43 -0700

On Mon, 28 Oct 2024 17:06:47 -0700
Jakub Kicinski <[email-masked]> wrote:

> On Mon, 28 Oct 2024 16:40:55 -0700 Stephen Hemminger wrote:
> > > I can only find this thread now:
> > > https://lore.kernel.org/all/[email-masked]/
> > > Could be a misunderstanding, but either way, documenting an existing
> > > tool seems like strictly less work than recreating it from scratch.    
> > 
> > Is the toolset willing to maintain the backward compatibility guarantees
> > that iproute2 has now? Bpf support was an example of how not to do it.  
> 
> The specs are UAPI.
> 
> The Python and CLI tooling are a very thin layer of code basically
> converting between JSON and netlink using the specs, so by virtue 
> of specs being UAPI they should be fully backward compatible.
> 
> The C library is intended to be fully backward compatible, but right
> now only supports static linking.

Right but now you can update kernel and CLI tooling, and not worry about
running on older kernels.